/**
 * Created by rtr on 22.12.2016.
 */
import { NumberInput } from '@angular/cdk/coercion';
import { ElementRef } from '@angular/core';
import { SplitterDirection } from './splitter-direction-type';
import * as i0 from "@angular/core";
/**
 * Directive representing a panel in a Splitter Component
 */
export declare class SplitAreaDirective {
    private elementRef;
    order: number;
    protected _size: number | null;
    direction: SplitterDirection;
    /**
     * Size in percent of the current area
     */
    set size(value: NumberInput);
    get size(): number;
    get sizeinPixels(): number;
    /**
     * Min size in percent of the current area
     */
    set minSizePixel(value: NumberInput);
    get minSizePixel(): number;
    protected get minWidth(): number;
    protected get minHeight(): number;
    private _minSizePixel;
    constructor(elementRef: ElementRef<HTMLElement>);
    static ɵfac: i0.ɵɵFactoryDeclaration<SplitAreaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SplitAreaDirective, "split-area", never, { "size": "size"; "minSizePixel": "minSizePixel"; }, {}, never, never, false>;
}
